ExportData
curl --request POST \
--url https://api.siftstack.com/api/v1/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputFormat": "EXPORT_OUTPUT_FORMAT_UNSPECIFIED",
"exportOptions": {
"useLegacyFormat": true,
"simplifyChannelNames": true,
"combineRuns": true,
"splitExportByAsset": true,
"splitExportByRun": true,
"embedChannelConfigs": true
},
"channelIds": [
"<string>"
],
"calculatedChannelConfigs": [
{
"name": "<string>",
"expression": "<string>",
"channelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"units": "<string>"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/export"
payload = {
"outputFormat": "EXPORT_OUTPUT_FORMAT_UNSPECIFIED",
"exportOptions": {
"useLegacyFormat": True,
"simplifyChannelNames": True,
"combineRuns": True,
"splitExportByAsset": True,
"splitExportByRun": True,
"embedChannelConfigs": True
},
"channelIds": ["<string>"],
"calculatedChannelConfigs": [
{
"name": "<string>",
"expression": "<string>",
"channelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"units": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/export"
payload := strings.NewReader("{\n \"outputFormat\": \"EXPORT_OUTPUT_FORMAT_UNSPECIFIED\",\n \"exportOptions\": {\n \"useLegacyFormat\": true,\n \"simplifyChannelNames\": true,\n \"combineRuns\": true,\n \"splitExportByAsset\": true,\n \"splitExportByRun\": true,\n \"embedChannelConfigs\": true\n },\n \"channelIds\": [\n \"<string>\"\n ],\n \"calculatedChannelConfigs\": [\n {\n \"name\": \"<string>\",\n \"expression\": \"<string>\",\n \"channelReferences\": [\n {\n \"channelReference\": \"<string>\",\n \"channelIdentifier\": \"<string>\",\n \"calculatedChannelVersionId\": \"<string>\"\n }\n ],\n \"units\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"presignedUrl": "<string>",
"jobId": "<string>",
"serviceMessage": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ExportService
ExportData
Export data.
POST
/
api
/
v1
/
export
ExportData
curl --request POST \
--url https://api.siftstack.com/api/v1/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputFormat": "EXPORT_OUTPUT_FORMAT_UNSPECIFIED",
"exportOptions": {
"useLegacyFormat": true,
"simplifyChannelNames": true,
"combineRuns": true,
"splitExportByAsset": true,
"splitExportByRun": true,
"embedChannelConfigs": true
},
"channelIds": [
"<string>"
],
"calculatedChannelConfigs": [
{
"name": "<string>",
"expression": "<string>",
"channelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"units": "<string>"
}
]
}
'import requests
url = "https://api.siftstack.com/api/v1/export"
payload = {
"outputFormat": "EXPORT_OUTPUT_FORMAT_UNSPECIFIED",
"exportOptions": {
"useLegacyFormat": True,
"simplifyChannelNames": True,
"combineRuns": True,
"splitExportByAsset": True,
"splitExportByRun": True,
"embedChannelConfigs": True
},
"channelIds": ["<string>"],
"calculatedChannelConfigs": [
{
"name": "<string>",
"expression": "<string>",
"channelReferences": [
{
"channelReference": "<string>",
"channelIdentifier": "<string>",
"calculatedChannelVersionId": "<string>"
}
],
"units": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/export"
payload := strings.NewReader("{\n \"outputFormat\": \"EXPORT_OUTPUT_FORMAT_UNSPECIFIED\",\n \"exportOptions\": {\n \"useLegacyFormat\": true,\n \"simplifyChannelNames\": true,\n \"combineRuns\": true,\n \"splitExportByAsset\": true,\n \"splitExportByRun\": true,\n \"embedChannelConfigs\": true\n },\n \"channelIds\": [\n \"<string>\"\n ],\n \"calculatedChannelConfigs\": [\n {\n \"name\": \"<string>\",\n \"expression\": \"<string>\",\n \"channelReferences\": [\n {\n \"channelReference\": \"<string>\",\n \"channelIdentifier\": \"<string>\",\n \"calculatedChannelVersionId\": \"<string>\"\n }\n ],\n \"units\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"presignedUrl": "<string>",
"jobId": "<string>",
"serviceMessage": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
EXPORT_OUTPUT_FORMAT_UNSPECIFIED, EXPORT_OUTPUT_FORMAT_CSV, EXPORT_OUTPUT_FORMAT_SUN, EXPORT_OUTPUT_FORMAT_PARQUET Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
A successful response.
Pre-signed URL of exported zip containing export files. This will be blank if
the job is processed as a background job, in which case job_id will be non-empty.
This will be non-empty if the export is being processed asynchronously in a background job.
Optional message for the client to display in success or error notification (e.g. exclusions or 403 reason).
Was this page helpful?